| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
EndpointAttributes Class Reference
eProsima Fast DDS API Reference » RTPS » RTPS Attributes Module.

Structure EndpointAttributes, describing the attributes associated with an RTPS Endpoint. More...

`#include <EndpointAttributes.hpp>`

## Public Member Functions

| EndpointAttributes ()
virtual | ~EndpointAttributes ()=default
int16_t | getUserDefinedID () const
| Get the user defined ID.
int16_t | getEntityID () const
| Get the entity defined ID.
void | setUserDefinedID (int16_t id)
| Set the user defined ID.
void | setEntityID (int16_t id)
| Set the entity ID.
void | set_data_sharing_configuration (fastdds::dds::DataSharingQosPolicy cfg)
| Set the DataSharing configuration.
const fastdds::dds::DataSharingQosPolicy & | data_sharing_configuration () const
| Get the DataSharing configuration.

## Public Attributes

EndpointKind_t | endpointKind = EndpointKind_t::WRITER
| Endpoint kind, default value WRITER.
TopicKind_t | topicKind = TopicKind_t::NO_KEY
| Topic kind, default value NO_KEY.
ReliabilityKind_t | reliabilityKind = ReliabilityKind_t::BEST_EFFORT
| Reliability kind, default value BEST_EFFORT.
DurabilityKind_t | durabilityKind = DurabilityKind_t::VOLATILE
| Durability kind, default value VOLATILE.
GUID_t | persistence_guid
| GUID used for persistence.
ExternalLocators | external_unicast_locators
| The collection of external locators to use for communication.
bool | ignore_non_matching_locators = false
| Whether locators that don't match with the announced locators should be kept.
LocatorList_t | unicastLocatorList
| Unicast locator list.
LocatorList_t | multicastLocatorList
| Multicast locator list.
LocatorList_t | remoteLocatorList
| Remote locator list.
PropertyPolicy | properties
| Properties.
fastdds::dds::OwnershipQosPolicyKind | ownershipKind = fastdds::dds::OwnershipQosPolicyKind::SHARED_OWNERSHIP_QOS
| Ownership.

## Detailed Description

Structure EndpointAttributes, describing the attributes associated with an RTPS Endpoint.

## Constructor & Destructor Documentation

## ◆ EndpointAttributes()

EndpointAttributes | ( |  | ) |

inline

## ◆ ~EndpointAttributes()

virtual ~EndpointAttributes | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ data_sharing_configuration()

const fastdds::dds::DataSharingQosPolicy & data_sharing_configuration | ( |  | ) | const

inline

Get the DataSharing configuration.

Returns
  Configuration of data sharing

## ◆ getEntityID()

int16_t getEntityID | ( |  | ) | const

inline

Get the entity defined ID.

Returns
  Entity ID

## ◆ getUserDefinedID()

int16_t getUserDefinedID | ( |  | ) | const

inline

Get the user defined ID.

Returns
  User defined ID

## ◆ set_data_sharing_configuration()

void set_data_sharing_configuration | ( | fastdds::dds::DataSharingQosPolicy | cfg | ) |

inline

Set the DataSharing configuration.

Parameters

  cfg | Configuration to be set

## ◆ setEntityID()

void setEntityID | ( | int16_t | id | ) |

inline

Set the entity ID.

Parameters

  id | Entity ID to be set

## ◆ setUserDefinedID()

void setUserDefinedID | ( | int16_t | id | ) |

inline

Set the user defined ID.

Parameters

  id | User defined ID to be set

## Member Data Documentation

## ◆ durabilityKind

DurabilityKind_t durabilityKind = DurabilityKind_t::VOLATILE

Durability kind, default value VOLATILE.

## ◆ endpointKind

EndpointKind_t endpointKind = EndpointKind_t::WRITER

Endpoint kind, default value WRITER.

## ◆ external_unicast_locators

ExternalLocators external_unicast_locators

The collection of external locators to use for communication.

## ◆ ignore_non_matching_locators

bool ignore_non_matching_locators = false

Whether locators that don't match with the announced locators should be kept.

## ◆ multicastLocatorList

LocatorList_t multicastLocatorList

Multicast locator list.

## ◆ ownershipKind

fastdds::dds::OwnershipQosPolicyKind ownershipKind = fastdds::dds::OwnershipQosPolicyKind::SHARED_OWNERSHIP_QOS

Ownership.

## ◆ persistence_guid

GUID_t persistence_guid

GUID used for persistence.

## ◆ properties

PropertyPolicy properties

Properties.

## ◆ reliabilityKind

ReliabilityKind_t reliabilityKind = ReliabilityKind_t::BEST_EFFORT

Reliability kind, default value BEST_EFFORT.

## ◆ remoteLocatorList

LocatorList_t remoteLocatorList

Remote locator list.

## ◆ topicKind

TopicKind_t topicKind = TopicKind_t::NO_KEY

Topic kind, default value NO_KEY.

## ◆ unicastLocatorList

LocatorList_t unicastLocatorList

Unicast locator list.

The documentation for this class was generated from the following file:

- include/fastdds/rtps/attributes/EndpointAttributes.hpp